<%--
	processOrder.jsp 
--%>

<%--
	Use a page directive to import needed classes and 
	packages for compilation.  Specify "error.jsp" 
	as the page's errorPage.
--%>

<%@ page import="asg.services.MusicCartEJB.MusicCart, asg.services.CustomerSession.CustomerVO, asg.services.MusicEJB.RecordingVO, java.util.*, javax.naming.Context, javax.naming.InitialContext, javax.rmi.PortableRemoteObject" errorPage="error.jsp" %>

<%--
	Declare and initialize variables.  
--%>

<%
	ArrayList shoppingList;
	String requestURI = 
		(String)session.getValue("musicURL"); 
	MusicCart cart = 
		(MusicCart)session.getValue("musicCart");
%>

<html>
<head>
<title>Music Collection Database Process Orders Page</title>
</head>
<body bgcolor=white>
<center>
<h1>Process Orders Page</h1>
<hr>
<p>
<%
	shoppingList = cart.getShoppingList();

	// make sure the cart isn't empty
	if (shoppingList.size() == 0) {
		// it's empty, tell user
%>
<p STYLE="background:#bfbfbf;color:red;
font-weight:bold;border:double thin;padding:5">
Your shopping cart is currently empty.
</font>
<br><br><a href="<%= requestURI %>">Continue Shopping</a>
<%

	}
	else {
		// it's not empty, proceed
%>

<table bgcolor="#e0e0e0" border=2 cellpadding=5>
<tr>
<th>Current Shopping List for <%= cart.getCustomer().getName() %></th>
</tr>

<%
		// Use a combination of scriptlet code,
		// html and JSP expressions to build the table
		Iterator i = shoppingList.iterator();
		while (i.hasNext()) {
			RecordingVO r = (RecordingVO)i.next();
%>
		<tr><td> <%= r.getTitle() %></td></tr>
<%
		} // end while
%>
</table>
<br><br><a href="<%= requestURI %>">Continue Shopping (Do Not Process Order)</a>
<br><br><a href="submitOrder.jsp">Submit Order</a>

<%
	}  // end else
%>
</body></html>
