// PaymentVO.java

package asg.LoanEJB;

import java.util.*;

public class PaymentVO implements java.io.Serializable
{
	private int paymentNumber;
	private Calendar paymentDate;
	private double balance;
	private double currentInterest;
	private double currentPrincipal;
	private double accumInterest;
	private double accumPrincipal;

	public PaymentVO (
		int paymentNumber,
		Calendar paymentDate,
		double balance,
		double currentInterest,
		double currentPrincipal,
		double accumInterest,
		double accumPrincipal) {
			this.paymentNumber = paymentNumber;
			this.paymentDate = (GregorianCalendar)new GregorianCalendar(
				paymentDate.get(Calendar.YEAR),
				paymentDate.get(Calendar.MONTH),
				paymentDate.get(Calendar.DATE));
			this.balance = balance;
			this.currentInterest = currentInterest;
			this.currentPrincipal = currentPrincipal;
			this.accumInterest = accumInterest;
			this.accumPrincipal = accumPrincipal;
	}

	// getters
	public int getPaymentNumber() { return paymentNumber; }
	public Calendar getPaymentDate() { return (Calendar)paymentDate.clone(); }
	public double getBalance() { return balance; }
	public double getCurrentInterest() { return currentInterest; }
	public double getCurrentPrincipal() { return currentPrincipal; }
	public double getAccumInterest() { return accumInterest; }
	public double getAccumPrincipal() { return accumPrincipal; }

} // PaymentVO
