<%--
	loginPost.jsp 
	Copyright 2001-2003 Gail and Paul Anderson
	All Rights Reserved
--%>

<%--
	JSP Web component to process login information
	making sure user has supplied a value for
	each field.
--%>

<%@ page import="asg.MusicCartEJB.CustomerVO" errorPage="error.jsp" %>

<%
	CustomerVO customer = null;
%>
<html>
<title>Process Login</title>
<body bgcolor=white>
<center>
<%
	String requestURI = 
		(String)session.getValue("loginURL"); 

	// Get name and password values provided by user
	String name = (String)request.getParameter("name");
	String password = 
		(String)request.getParameter("password");

	// Check to make sure they're not empty
	if (name.equals("") || password.equals("")) {

	// Empty, report error to user
	// We use html formatting tags to create an error box
	// with red lettering so that it will stand out.

%>
<h1>Login Error</h1>
<hr>
<p>
<p STYLE="background:#bfbfbf;color:red;
font-weight:bold;border:double thin;padding:5">
You have left a field empty. You must provide both a name 
and a password.
</font>
<br><br><a href="<%= requestURI %>">
	Return to Login Page</a>
<%
	} 
	else {
		customer = new CustomerVO(name, password, "NoPassword");
		session.putValue("customer", customer.getName());
		// a new customer requires a new music cart;
		// put this information in session object for
		// musicCart.jsp
		String newCustomer = "new";
		session.putValue("newCustomer", newCustomer);
%>
<h1>Login Successful</h1>
<p>
<h2>Welcome <%= customer.getName() %> </h2>
<hr>
<p>

<br><br><a href="musicCart.jsp">Enter Music Collection Site</a>
<%
	}
%>
</body></html>
