// CustomerModel.java

package asg.domain;

public class CustomerModel {

// Encapsulation of Customer EJB persistent variables
// for communication between Customer EJB and CustomerDAO object

	private String customerID;		// primary key
	private String name;
	private String password;
	private String email;
	private boolean ordersPending;

	public CustomerModel(String customerID, String name, 
		String password, String email, boolean ordersPending) {
		setCustomerID(customerID);
		setName(name);
		setPassword(password);
		setEmail(email);
		setOrdersPending(ordersPending);
	}

	public void setCustomerID(String id) {
		this.customerID = id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setOrdersPending(boolean ordersPending) {
		this.ordersPending = ordersPending;
	}

	public String getCustomerID() {
		return customerID;
	}

	public String getName() {
		return name;
	}

	public String getPassword() {
		return password;
	}

	public String getEmail() {
		return email;
	}

	public boolean getOrdersPending() {
		return ordersPending;
	}
}
