
<%--
	loginPost.jsp 
	Copyright 2001-2003 Gail and Paul Anderson
	All Rights Reserved
--%>

<%--
	JSP Web component to process login information.
	Make sure user has supplied a value for
	each field.
--%>

<%@ page import="asg.services.CustomerSession.*, java.util.*, javax.naming.Context, javax.naming.InitialContext, javax.rmi.PortableRemoteObject" errorPage="error.jsp" %>

<%! 
	CustomerSession mysession = null;
	
	public void jspInit() {
		try {
			Context initial = new InitialContext();
			Object objref = initial.lookup(
					"java:comp/env/ejb/CustomerSession");
			System.out.println("lookup success for ejb/CustomerSession");
			CustomerSessionHome home = (CustomerSessionHome)
					PortableRemoteObject.narrow(
					objref, CustomerSessionHome.class);
			System.out.println("created CustomerSessionHome object");
			mysession = home.create();
		} catch (Exception ex) {
			System.out.println("Unexpected Exception: " +
					ex.getMessage());
			ex.printStackTrace();
		}
	}
%>

<html>
<title>Process Login</title>
<body bgcolor=white>
<center>
<%
	String requestURI = 
		(String)session.getValue("loginURL"); 

	// Get name and password values provided by user
	String name = (String)request.getParameter("name");
	String password = 
		(String)request.getParameter("password");

	// Perform error checking on Customer input
	String errorString = null;
	// Check to make sure they're not empty
	if (name.equals("") || password.equals("")) {
		errorString = "You have left a field empty. " +
			"You must provide both a name " +
			"and a password.";
	}
	else {
		try {
			mysession.identifyCustomer(name, password);
			session.putValue("customer", name);
			String newCustomer = "new";
			session.putValue("newCustomer", newCustomer);
%>
<h1>Login Successful</h1>
<p>
<h2>Welcome <%= name %> </h2>
<hr>
<p>
<br><br><a href="musicCart.jsp">Enter Music Collection Site</a>
<%
		} catch (Exception ex) {
			errorString = ex.getMessage();
		}
	}
	if (errorString != null) {

		// We use html formatting tags to create an error box
		// with red lettering so that it will stand out.

%>
<h1>Login Error</h1>
<hr>
<p>
<p STYLE="background:#bfbfbf;color:red;
font-weight:bold;border:double thin;padding:5">
<%= errorString %>
</font>
<br><br><a href="<%= requestURI %>">
	Return to Login Page</a>
<%
	} 
%>

</body></html>
